#! /usr/bin/env node

const params = process.argv.slice(4);
const myModule = require(process.argv[2]);

if (!myModule) {
  throw new Error(`No module named ${myModule} found`);
}
if (!myModule[process.argv[3]]) {
  throw new Error(`${process.argv[3]} is not a function exported from ${myModule}`);
}
myModule[process.argv[3]](...params);
